/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm Nr. 29                                     */
/* der frueheren Vorlesung Datenverarbeitung                   */
/*                                                             */
/* Das Programm zeigt Basisoperationen auf Pointern.           */
/***************************************************************/

#include <stdio.h>
#include <conio.h>

main() {

 /* Deklaration einer Pointervariablen, die einen Pointer auf eine
    float-Variable aufnehmen kann */

 float *pt;

 /* Deklarationen zweier float-Variablen: Staende zweier Konten */

 float konto1 = 1000.0, konto2 = 2000.0;

 /* Variable zur Eingabe einer Auswahl */

 int wahl;

 printf("Alte Kontostaende:\n");
 printf(" Konto 1 = %4.2f\n",konto1);
 printf(" Konto 2 = %4.2f\n\n",konto2);

 /* dynamische Auswahl einer Kontovariablen */

 do {
  printf("Bitte zu erhoehendes Konto auswaehlen: 1 = Konto 1, 2 = Konto 2\n");
  scanf("%d",&wahl);
 } while (wahl!=1 && wahl!=2);

 if (wahl==1)
   pt = &konto1;
  else pt = &konto2;

 /* pt zeigt nun auf ausgewhltes Konto,
    Zugriffe darauf ber *pt */

 *pt = *pt + 100.0;
     /* erhoeht ueber der Pointer den Stand des gewaehlten Kontos */

 printf("\nNeue Kontostaende:\n");
 printf(" Konto 1 = %4.2f\n",konto1);
 printf(" Konto 2 = %4.2f\n",konto2);

 getch();

}
