/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm Nr. 33                                     */
/* der frueheren Vorlesung Datenverarbeitung                   */
/*                                                             */
/* Das Programm zeigt, dass Arrays durch Indizierung           */
/* oder ueber Pointer zugreifbar sind.                         */
/***************************************************************/

#include <stdio.h>
#include <conio.h>

main() {

 /* Deklaration eines Arrays mit float-Komponenten
    und eines Pointer auf eine float-Variable */

 float umsaetze[12];
 float *zeiger;

 /* Zwei aequivalente Formulierungen einer Zuweisung
    an die erste Arraykomponente */

 umsaetze[0]   = 1.23;
 *umsaetze     = 1.23;

 /* Zwei aequivalente Formulierungen einer Zuweisung
    an die dritte Arraykomponente */

 umsaetze[2]   = 4.56;
 *(umsaetze+2) = 4.56;

 /* Zwei aequivalente Formulierungen einer Zuweisung,
    nach der zeiger auf die erste Arraykomponente verweist */

 zeiger = umsaetze;
 zeiger = &umsaetze[0];

 /* Zwei aequivalente Formulierungen einer Zuweisung,
    nach der zeiger auf die dritte Arraykomponente verweist */

 zeiger = &umsaetze[2];
 zeiger = umsaetze+2;

 /* Die folgende Zuweisung ist nicht zulaessig,
    da umsaetze intern als Zeigerkonstante behandelt wird
    und sich sein Wert somit nicht aendern kann. */

 umsaetze = zeiger;

 getch();

}
