/***************************************************************/
/* Prof. Dr. Carsten Vogt                                      */
/* FH Koeln, Fak. 07 / Nachrichtentechnik                      */
/* http://www.nt.fh-koeln.de/vogt                              */
/*                                                             */
/* Beispielprogramm Nr. 36                                     */
/* der frueheren Vorlesung Datenverarbeitung                   */
/*                                                             */
/* Das Programm demonstriert die Benutzung von benannten       */
/* struct-Typen und von geschachtelten structs.                */
/***************************************************************/

#include <stdio.h>
#include <conio.h>

main() {

 /* Deklaration eines benannten struct-Typs datum fuer Variablen
    zur Aufnahme eines Datums mit Tag, Monat und Jahr */

 struct datum {
  int tag, monat, jahr; };

 /* Deklaration eines benannten struct-Typs ang_info fuer Variablen
    zur Aufnahme von Angestellten-Informationen.
    Enthalten ist insbesondere eine Komponente, die das
    Eintrittsdatum angibt. Sie ist vom struct-Typ datum,
    so dass ang_info ein geschachtelter struct-Typ ist. */

 struct ang_info {
  char  name[20];
  int   pers_nr;
  float gehalt;
  struct datum eintritt;
 };

 /* Deklaration einer Variablen ang_1 zur Aufnahme der Informationen
    fuer einen Angestellten */

 struct ang_info ang_1;

 /* Zuweisung der Jahreskomponente der struct ang_1
    ueber eine Kette von Punktnotationen */

 ang_1.eintritt.jahr = 1990;

 getch();

}
